import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  data: z.literal(true).optional(),
  _all: z.literal(true).optional()
}).strict();
export const OfficeHoursCountAggregateInputObjectSchema: z.ZodType<Prisma.OfficeHoursCountAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.OfficeHoursCountAggregateInputType>;
export const OfficeHoursCountAggregateInputObjectZodSchema = makeSchema();
